import { createReducer, on } from '@ngrx/store';

import { companiesSuccess } from './actions';
import { initialState } from './state';

export const reducer = createReducer(
  initialState,

  on(companiesSuccess, (state, action) => {
    return {
      ...state,
      companyList: action.res.companyList
    };
  })
);
