import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/pi';

import { _MODULE_CONFIG } from './config/token';

import { PiService } from './services/pi.service';

const SERVICES = [PiService];

@NgModule({})
export class PiRootModule {}

@NgModule({})
export class PiModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<PiRootModule> {
    return {
      ngModule: PiRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
