import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-group';

import { _MODULE_CONFIG } from './config/token';

import { GroupProtocolService } from './services/group-protocol.service';

const SERVICES = [GroupProtocolService];

@NgModule({})
export class GroupProtocolRootModule {}

@NgModule({})
export class GroupProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<GroupProtocolRootModule> {
    return {
      ngModule: GroupProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
